Loading...
Searching...
No Matches
Dune::cpgrid::LocalIndexContainerProxy< AccessMethod, SizeMethod > Class Template Reference

A class representing the sparse mapping of entity relations (e.g. More...

`#include <GridHelpers.hpp>`

## Public Types

typedef LocalIndexProxy< AccessMethod, SizeMethod > | row_type

## Public Member Functions

| LocalIndexContainerProxy (const Dune::CpGrid *grid)
| Constructor.
row_type | operator[] (int cell_index) const
| Get the mapping for a cell.
int | operator() (int cell_index, int local_index) const
| Get a face associated with a cell.

## Detailed Description

template<int(Dune::CpGrid::*)(int, int) const AccessMethod, int(Dune::CpGrid::*)(int) const SizeMethod>
class Dune::cpgrid::LocalIndexContainerProxy< AccessMethod, SizeMethod >

A class representing the sparse mapping of entity relations (e.g.

vertices of faces).

Template Parameters

  AccessMethod | Function pointer to access the values of a sparse row (e.g. the vertices attached to a face.
  SizeMethod | Fuction pointer to access the size of the sparse row (e.g. the number of vertices attached to a face.

## Constructor & Destructor Documentation

## LocalIndexContainerProxy()

template<int(Dune::CpGrid::*)(int, int) const AccessMethod, int(Dune::CpGrid::*)(int) const SizeMethod>

Dune::cpgrid::LocalIndexContainerProxy< AccessMethod, SizeMethod >::LocalIndexContainerProxy | ( | const Dune::CpGrid * | grid | ) |

inline explicit

Constructor.

Parameters

  grid | The grid whose information we represent.

## Member Function Documentation

## operator()()

template<int(Dune::CpGrid::*)(int, int) const AccessMethod, int(Dune::CpGrid::*)(int) const SizeMethod>

int Dune::cpgrid::LocalIndexContainerProxy< AccessMethod, SizeMethod >::operator() | ( | int | cell_index,
|  | int | local_index ) const

inline

Get a face associated with a cell.

Parameters

  cell_index | The index of the cell.
  local_index | The local index of the cell, either 0 or 1.
  The | index of the face or -1 if it is not present because of a boundary.

## operator[]()

template<int(Dune::CpGrid::*)(int, int) const AccessMethod, int(Dune::CpGrid::*)(int) const SizeMethod>

row_type Dune::cpgrid::LocalIndexContainerProxy< AccessMethod, SizeMethod >::operator[] | ( | int | cell_index | ) | const

inline

Get the mapping for a cell.

Parameters

  cell_index | The index of the cell.

The documentation for this class was generated from the following file:

- opm/grid/cpgrid/GridHelpers.hpp